=== debian/changelog ===
puredata (0.54.0+ds-4) unstable; urgency=medium

  * Have puredata64-core provide the "pd64" virtual package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jul 2023 12:54:36 +0200

puredata (0.54.0+ds-3) unstable; urgency=medium

  * Properly calculate the deken CPU for loading Pd64 externals
    (Closes: #1040517)
    + Install a re-usable helper-tool to determine the correct CPU value in
      external-extensions in the puredata-dev package
  * Add some Pd64 autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Jul 2023 15:52:13 +0200

puredata (0.54.0+ds-2) unstable; urgency=medium

  * Explicitly set external-extension and deken-cpu for Pd64
  * Run autopkgtest verbosely

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 21:11:42 +0200

puredata (0.54.0+ds-1) unstable; urgency=medium

  * First upload of both single-precision and double-precision Pd
    to unstable!

  * Add patch to fix crash with multichannel [adc~]

  * puredata-common
    + Improve description of puredata-common
    + Relax hard dependency on puredata-common to a simple Recommends
    + Properly declare Breaks/Relation dependency for moving files from
      puredata-core to puredata-common
    + Mark as "Multi-Arch: foreign"
  * libpd0/libpd-dev
    + Add patch to fix missing symbol in libpd
    + Install libpd example
    + Add autopkgtest for libpd
  * puredata-utils
    + Mark as "Multi-Arch: foreign"
  * Add/update lintian-overrides to package split and puredata64
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 12:50:00 +0200

puredata (0.54.0+ds-1~exp1) experimental; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.54.0+ds
    + Refresh pd2puredata patch
    + Refresh more patches
    + Drop patches applied upstream
  * Build two flavours of Pd
    - single precision (puredata)
    - double precision (puredata64)
  * Build libpd0 and libpd-dev
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Jul 2023 23:08:18 +0200

puredata (0.53.1+ds-2+exp1) experimental; urgency=medium

  * Upload multiple flavours to experimental

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 29 Jan 2023 00:11:25 +0100

puredata (0.53.1+ds-2~exp1) experimental; urgency=medium

  * Upload multiple flavours to experimental

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 28 Jan 2023 22:06:11 +0100

puredata (0.53.1+ds-1+exp1) experimental; urgency=medium

  * Upload multiple flavours to experimental
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Dec 2022 09:53:43 +0100

puredata (0.52.2+ds0-2+exp1) experimental; urgency=medium

  * Upload multiple-flavours to experimental
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Sep 2022 15:02:27 +0200

puredata (0.52.1+ds0-2~exp1) experimental; urgency=medium

  * Build (and package) multiple flavours of Pd
    - single precision application
    - double precision application (puredata64)
    - single precision library (libpd)
  * Add patch to limit visibility of libpd symbols

  * d/rules:
    - Make build more verbose

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Feb 2022 11:37:42 +0100
