## puredata 0.54.1+ds

=== debian/changelog ===
puredata (0.54.1+ds-4build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:21:28 +0000

puredata (0.54.1+ds-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:03:38 +0000

puredata (0.54.1+ds-4build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:00:38 +0000

puredata (0.54.1+ds-4) unstable; urgency=medium

  * Update patches
    + Backport patch to fix out-of-bound memory access
    + Backport patch to unqueue iemgui's on free
    + Backport patch to fix deken CPU-specifier on arm64
    + Sort debian/upstream patches into subdirectories
    + Apply debian-specific patches after other patches
    + Add 'Applied-Upstream' field to patches
    + Refresh patches with 'gbp pq'
  * Update d/*.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2024 22:24:38 +0100

puredata (0.54.1+ds-3) unstable; urgency=medium

  * Fix filename for maintainer script (Closes: #1057685)
  * Only update alternatives in certain stages of postinst script
    (configure|abort-upgrade|abort-deconfigure|abort-remove)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Dec 2023 19:30:40 +0100

puredata (0.54.1+ds-2) unstable; urgency=medium

  * Use wildcards for lintian-overrides with per-arch filenames
  * Add "Forwarded: not-needed" to Debian-specific patches
  * Add patch to explicitly export required symbols
  * Add initial libpd0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 21:48:10 +0100

puredata (0.54.1+ds-1) unstable; urgency=medium

  * New upstream version 0.54.1+ds
    (Closes: #1050695)
    + Refresh pd2puredata patch
    + Drop patches applied upstream
    + Refresh patches
  * Restore po/ directory after build (Closes: #1047924)
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 31 Oct 2023 15:19:20 +0100
