=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: puredata
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
