## puredata 0.55.0+ds

=== debian/changelog ===
puredata (0.55.0+ds-1) unstable; urgency=medium

  * New upstream version 0.55.0+ds
    + Drop patches applied upstream
    + Refresh patches
  * Add patch to restore old "pd quit" behaviour with exitcodes
  * Add patch to properly export symbols
  * Do not install d_osc.h
  * Relax dependency of puredata-gui-l10n to an unversioned puredata-gui
  * Update libpd0 symbols
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 11 Jun 2024 22:25:35 +0200

puredata (0.54.1+ds-5) unstable; urgency=medium

  * Team upload
  * debian/control: Make libpd-dev binNMU-safe

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 May 2024 21:55:18 +0200
