## puredata 0.55.1+ds

=== debian/changelog ===
puredata (0.55.1+ds-2) unstable; urgency=medium

  * Backport fix for crasher-bug in [fexpr~]
  * Mark debian/provicy.patch as not-for-upstream
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 14 Sep 2024 22:44:30 +0200

puredata (0.55.1+ds-1) unstable; urgency=medium

  * New upstream version 0.55.1+ds
    + Drop patches applied upstream
    + Refresh patches
    + Update patches
  * Update pd2puredata.patch updater
  * Update changed upstream path to "about Pd"
  * Update lintian-overrides (upstream filename change)
  * libpd: Update symbols-file
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Sep 2024 23:00:57 +0200
