=== debian/changelog ===
puredata (0.55.2+ds-2) unstable; urgency=medium

  * Backport patch with alternate names for some functions
    + Update libpd0.symbols for alternate names
  * Backport patch for gcc-15 compat (Closes: #1097665)
  * Refresh patches with 'gbp pq'
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2025 11:51:27 +0200

puredata (0.55.2+ds-1) unstable; urgency=medium

  * New upstream version 0.55.2+ds
    + Refresh pd2puredata patch
    + Drop patch applied upstream
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Nov 2024 17:07:58 +0100
