=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: puredata
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -14,7 +13,7 @@
  portaudio19-dev,
 Build-Depends-Indep:
  python3:any,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
@@ -174,7 +173,7 @@
 Multi-Arch: foreign
 Section: localization
 Depends:
- puredata-gui (= ${source:Version}),
+ puredata-gui,
  ${misc:Depends},
 Description: realtime computer music and graphics system - translations
  Pure Data (also known as Pd) is a real-time graphical programming environment
@@ -263,8 +262,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libpd0 (<< ${source:Version}+1~),
- libpd0 (>= ${source:Version}),
+ libpd0 (= ${binary:Version}),
  puredata-dev   (<< ${source:Version}+1~),
  puredata-dev   (>= ${source:Version}),
  ${misc:Depends},
