## puredata 0.56.0+ds

=== debian/changelog ===
puredata (0.56.0+ds-2) unstable; urgency=medium

  * Backport removal of exporting undefined functions (Closes: #1111508)
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Aug 2025 21:40:14 +0200

puredata (0.56.0+ds-1) unstable; urgency=medium

  * New upstream version 0.56.0+ds
    + Refresh pd2puredata patch
    + Drop obsolete patches
    + Refresh patches
  * Update symbols
    + Add new names
    + Replace "+ds-1~" suffix with "~"
  * Add patch to ensure that scalar_doclick() is not visible
  * Update copyright information
    + Exclude .dll files from source package
    + Bump copyright years
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Aug 2025 19:56:56 +0200
