=== debian/changelog ===
puredata (0.56.1+ds-1) unstable; urgency=medium

  * New upstream version 0.56.1+ds
    + Refresh pd2puredata patch
    + Drop patch applied upstream
    + Refresh visibility patch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 23:41:52 +0200
