=== debian/watch ===
# process this file with 'uscan'
version=4

#opts="uversionmangle=s/-/./;s/test/~/" \
#  http://msp.ucsd.edu/Software/pd-@ANY_VERSION@.src.tar.gz

opts=uversionmangle=s/-/./;s/test/~/;s/-really/+really/,\
     repacksuffix=+ds,\
     dversionmangle=auto \
  https://github.com/pure-data/pure-data/tags .*/v?(\d\S*)\.tar\.gz
