=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Build-Depends-Indep:
  python3:any,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/puredata
