## puredata 0.56.2+ds

=== debian/changelog ===
puredata (0.56.2+ds-1) unstable; urgency=medium

  * New upstream version 0.56.2+ds
    + Refresh pd2puredata patch

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix spelling mistakes in old d/changelog entries
  * Add new functions to libpd0.symbols
  * Drop obsolete Rules-Requires-Root stanza.
  * Update watchfile to version 5

  [ Alexandre Detiste ]
  * 'quilt' is the default

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Nov 2025 14:39:09 +0100
