=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,13 @@
 %:
 	dh $@
 
+execute_before_dh_clean:
+	test ! -d po.bak || rm -rf po
+	test ! -d po.bak || mv po.bak po
+
 execute_before_dh_autoreconf:
 	mkdir -p m4/generated
+	cp -r po po.bak
 
 override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
 configure_%:
