=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Test-Command: pd -nogui -send "pd quit"
-Restrictions: allow-stderr
+Restrictions:
+ allow-stderr,
 Depends:
  puredata-core,
 
 Test-Command: pd64 -nogui -send "pd quit"
-Restrictions: allow-stderr
+Restrictions:
+ allow-stderr,
 Depends:
  puredata64-core,
