=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: auto
Owner: pure-data
Project: pure-data
Repacksuffix: +ds
Uversionmangle: s/-/./;s/test/~/;s/-really/+really/
